summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Jeff Parent2019-01-31 19:18:38 +0100
committer Willy Sudiarto Raharjo2019-02-01 12:48:59 +0100
commitaac6ae5dedd014fbd95a20f52180b7b8efe7439d (patch)
tree75530eda56b962202bfbf9d1af7b51b92e51ea21 /office
parent56bf77d1290132c05bb5d536ac1847834f0e4f46 (diff)
downloadslackbuilds-aac6ae5dedd014fbd95a20f52180b7b8efe7439d.tar.gz
office/turtl: Added (A secure, collaborative notebook).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/turtl/README9
-rw-r--r--office/turtl/slack-desc19
-rw-r--r--office/turtl/turtl.SlackBuild118
-rw-r--r--office/turtl/turtl.info10
4 files changed, 156 insertions, 0 deletions
diff --git a/office/turtl/README b/office/turtl/README
new file mode 100644
index 0000000000..346e0182de
--- /dev/null
+++ b/office/turtl/README
@@ -0,0 +1,9 @@
+Turtl is an online collaborative notebook, similar to Evernote.
+
+Organize and share your notes on this secure platform. All data is
+encrypted locally and nothing clear is stored on the server.
+
+- Supports Markdown formatting and Tex Math rendering.
+- Full text search, filter by tag and create/edit date sorting.
+- Differente note types: text, bookmark, password, image and files
+- Client-side cryptography to keep all of your data safe
diff --git a/office/turtl/slack-desc b/office/turtl/slack-desc
new file mode 100644
index 0000000000..f4eaa79489
--- /dev/null
+++ b/office/turtl/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+turtl: turtl (A secure, collaborative notebook)
+turtl:
+turtl: Organize and share your notes on this secure platform. All data is
+turtl: encrypted locally and nothing clear is stored on the server.
+turtl:
+turtl: - Supports Markdown formatting and Tex Math rendering.
+turtl: - Full text search, filter by tag and create/edit date sorting.
+turtl: - Differente note types: text, bookmark, password, image and files
+turtl: - Client-side cryptography to keep all of your data safe
+turtl:
+turtl: https://turtlapp.com
diff --git a/office/turtl/turtl.SlackBuild b/office/turtl/turtl.SlackBuild
new file mode 100644
index 0000000000..6b98c0eccb
--- /dev/null
+++ b/office/turtl/turtl.SlackBuild
@@ -0,0 +1,118 @@
+#!/bin/sh
+
+# Slackware build script for turtl
+
+# Copyright 2019 Jeff Parent <jeff+SBo@sh0.xyz>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=turtl
+VERSION=${VERSION:-0.7.2.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+case "$( uname -m )" in
+ x86_64) OS="linux64" ;;
+ i?86) OS="linux32" ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+echo "Decompressing archive"
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-$OS
+tar xvf $CWD/$PRGNAM-$VERSION-$OS.tar.bz2
+cd $PRGNAM-$OS
+HERE=$(dirname $(readlink -e ./install.sh))
+
+echo "Preparing pkg dir"
+# Install
+ROOT=$PKG/opt/turtl
+BIN_DIR=$PKG/usr/bin
+SHARE=$PKG/usr/share
+DESKTOP_DIR=${SHARE}/applications
+DESKTOP_FILE=${DESKTOP_DIR}/turtl.desktop
+ICON_DIR=${SHARE}/icons/hicolor/128x128/apps
+ICON_FILE=${ICON_DIR}/turtl.png
+mkdir -p "${ROOT}"
+mkdir -p "${BIN_DIR}"
+mkdir -p "${SHARE}"
+mkdir -p "${DESKTOP_DIR}"
+mkdir -p "${ICON_DIR}"
+
+echo "Making Desktop file"
+cat >${DESKTOP_FILE} <<EOF
+[Desktop Entry]
+Type=Application
+Name=Turtl
+GenericName=Secture notes
+Comment=Private notes and bookmarks with collaboration.
+Exec=${ROOT}/turtl
+Path=${ROOT}
+Icon=${ROOT}/icon.png
+Terminal=false
+Categories=Office;Utility;
+Keywords=secure;security;privacy;private;notes;bookmarks;collaborate;research;
+StartupNotify=true
+EOF
+
+echo "Copying files"
+pushd "${HERE}/turtl" > /dev/null
+cp -R . ${ROOT}
+chmod 755 ${ROOT}
+pushd ${ROOT} >/dev/null
+find . -type d -exec chmod 755 {} \;
+find . -type f -exec chmod 644 {} \;
+chmod 755 turtl
+popd >/dev/null
+
+mkdir -p "$(dirname "${DESKTOP_FILE}")"
+echo "${DESKTOP}" > "${DESKTOP_FILE}"
+mkdir -p "${ICON_DIR}"
+cp "${HERE}/turtl/icon.png" "${ICON_FILE}"
+
+ln -sf /opt/turtl/turtl ${BIN_DIR}/turtl
+
+echo "Setting permissions"
+find "${ROOT}" -perm 700 -exec chmod 755 '{}' \;
+find "${ROOT}" -perm 600 -exec chmod 644 '{}' \;
+
+echo "Stripping"
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+echo "Docs"
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat ${HERE}/turtl/LICENSE > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+echo "Install files"
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+echo "Making package"
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/turtl/turtl.info b/office/turtl/turtl.info
new file mode 100644
index 0000000000..ee8f6ae988
--- /dev/null
+++ b/office/turtl/turtl.info
@@ -0,0 +1,10 @@
+PRGNAM="turtl"
+VERSION="0.7.2.5"
+HOMEPAGE="https://turtlapp.com"
+DOWNLOAD="https://github.com/turtl/desktop/releases/download/v0.7.2.5/turtl-0.7.2.5-linux32.tar.bz2"
+MD5SUM="e85d853dccadcb5a8f6a5478cd038690"
+DOWNLOAD_x86_64="https://github.com/turtl/desktop/releases/download/v0.7.2.5/turtl-0.7.2.5-linux64.tar.bz2"
+MD5SUM_x86_64="771ac3060d5e6d13fcd1bb4644772999"
+REQUIRES=""
+MAINTAINER="Jeff Parent"
+EMAIL="jeff+SBo@sh0.xyz"